#import "@local/handout:0.1.0": *

// Why is division expensive?
// Add a few problems add/multiplying/dividing floats
//
// Spend more time on left-shift
// Highlight that left-shift divides the exponent by two!
//
// Floats vs fixed point
// Float density
// Find non-floatable rational numbers

#show: doc => handout(
  doc,
  group: "Advanced 2",

  title: [Fast Inverse Root],
  by: "Mark",
  subtitle: "Based on a handout by Bryant Mathews",
)

#include "parts/00 int.typ"
#pagebreak()

#include "parts/01 float.typ"
#pagebreak()

#include "parts/02 approx.typ"
#pagebreak()

#include "parts/03 quake.typ"
